<?php

namespace Modules\Shipping\Interfaces;

use Illuminate\Http\Request;
use Modules\Shipping\Models\Shipping;

interface ShippingRepositoryInterface
{
    public function get(Request $request);
    public function getItem(Shipping $country);
    public function save(Request $request, ?Shipping $country): Shipping;
    public function destroy(Request $request, int $id): array;
    public function destroyAll(Request $request): array;
    public function restore(Request $request, int $id): array;
    public function restoreAll(Request $request): array;
}
